SCM

[#315424] CanoScan LiDE 220 only produces vertical lines or stripes

View Trackers | Bugs | Export CSV

Date:
2016-07-14 16:07
Priority:
3
State:
Closed
Submitted by:
Tibor Dudas (kalleinz-guest)
Assigned to:
Nobody (None)
Category:
backends (drivers)
Group:
None
Resolution:
Out of Date
Summary:
CanoScan LiDE 220 only produces vertical lines or stripes

Detailed description
I bought a new scanner canon lide 220, as it was mentioned in the sane database to work with ubuntu.
With ubuntu 14.04 sane-find-scanner gave a positive result, but scanimage -L did not found anything.
After an upgrade to ubuntu 16.04 both find the scanner correctly, but on the scan stripes or lines are seen, only, no matter if scanned by command line, by simplescan or by xsane.

Followups: Sort comments antichronologically

Message
Date: 2017-04-04 12:30
Sender: Olaf Meeuwissen

The person assigned to this tracker item is no longer a member of the project.
Date: 2017-05-08 21:21
Sender: Aaron Muir Hamilton

I have a CanoScan LiDE 220 and I'm unable to reproduce this issue. What is the exact line you are passing into scanimage, and does the issue persist with other formats (like TIFF)?
Date: 2017-05-08 21:27
Sender: Aaron Muir Hamilton

From what I see in the Ubuntu repositories, the sane-backends source package (builds ubuntu's binary libsane and sane-utils packages) is a git version of sane-backends from several months before the 1.0.25 release.

http://packages.ubuntu.com/source/xenial/sane-backends

Are you able to try to build the version of sane published on sane-project.org? I think Ubuntu's version is pre-release and lacks an essential fix for genesys.
Date: 2017-05-08 22:00
Sender: Aaron Muir Hamilton

Ubuntu 16.04 is shipping a version of sane-backends from may 2015, months before the release of the real 1.0.25. This seems like a downstream distribution problem with Debian which Ubuntu has inherited. I would take it up with the maintainer of the Debian package which that Ubuntu package is based on, and if Jörg Frings-Fürst isn't interested, then take it up with the Ubuntu maintainers.

I'm going to mark this as Closed, since it doesn't seem to affect the latest version. Feel free to reopen it if you're still seeing issues with the actual release version of sane-backends (not the outdated one in the Ubuntu repositories).
Date: 2017-05-08 22:04
Sender: Aaron Muir Hamilton

Also seems that there is a newer version in Debian, seems like it's just a problem with Ubuntu not taking the right version from Debian, probably better to take it up with the Ubuntu folks first.

Attached Files:

Attachments:
Size Name Date By Download
545 KiBimage.pdf2016-07-14 16:07kalleinz-guestimage.pdf
545 KiBimage.pnm2016-07-14 16:07kalleinz-guestimage.pnm

Changes:

Field Old Value Date By
ResolutionNone2017-05-08 22:00xorgy-guest
status_idOpen2017-05-08 22:00xorgy-guest
close_dateNone2017-05-08 22:00xorgy-guest
summaryLines/stripes only2017-05-08 21:54xorgy-guest
assigned_tostefdev-guest2017-04-04 12:30olaf-guest
Groupstandard-compliance2016-09-25 13:55kitno-guest
Categoryscanimage2016-09-25 13:55kitno-guest
assigned_tonone2016-09-25 13:55kitno-guest
File Added7143: image.pdf2016-07-14 16:07kalleinz-guest
File Added7144: image.pnm2016-07-14 16:07kalleinz-guest
Powered By FusionForge